Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.ranking
Class TotalRankSolverBenchmarkRankingWeightFactory

    java.lang.Object
      org.optaplanner.benchmark.impl.ranking.TotalRankSolverBenchmarkRankingWeightFactory

All Implemented Interfaces:
  SolverBenchmarkRankingWeightFactory

    public class TotalRankSolverBenchmarkRankingWeightFactory

extends Object
implements SolverBenchmarkRankingWeightFactory

This `SolverBenchmarkRankingWeightFactory` orders a `SolverBenchmark` by how how many time each of it's `SingleBenchmark` beat the `SingleBenchmark` of the other `SolverBenchmark`s. It maximizes the overall ranking.

When the inputSolutions differ greatly in size or difficulty, this often produces a difference in `Score` magnitude between each `Solution`. For example: score 10 for dataset A versus 1000 for dataset B. In such cases, this ranking is more fair than `TotalScoreSolverBenchmarkRankingComparator`, because in this ranking, dataset B wouldn't marginalize dataset A.

Nested Class Summary
`static class` | `TotalRankSolverBenchmarkRankingWeightFactory.TotalRankSolverBenchmarkRankingWeight`

Constructor Summary
`TotalRankSolverBenchmarkRankingWeightFactory()`

Method Summary
`Comparable` | `createRankingWeight(List<SolverBenchmark> solverBenchmarkList, SolverBenchmark solverBenchmark)` The ranking function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TotalRankSolverBenchmarkRankingWeightFactory

    public TotalRankSolverBenchmarkRankingWeightFactory()

Method Detail

### createRankingWeight

    public Comparable createRankingWeight(List<SolverBenchmark> solverBenchmarkList,
                                          SolverBenchmark solverBenchmark)

  Description copied from interface: `SolverBenchmarkRankingWeightFactory`
  The ranking function. Takes the provided solverBenchmarkList and ranks them.

  Specified by:
    `createRankingWeight` in interface `SolverBenchmarkRankingWeightFactory`
  Parameters:
    `solverBenchmarkList` - never null
    `solverBenchmark` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.